> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shift Information

> Retrieve a specific shift by its shiftID.



## OpenAPI

````yaml openapi/employee-checks.json get /shifts
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /shifts:
    get:
      summary: Get Shift Information
      operationId: retrieve-shift-information
      parameters:
        - name: companyID
          in: query
          description: Company ID of the employer
          required: true
          schema:
            type: string
        - name: shiftID
          in: query
          description: Shift ID of the shift
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      shiftID: 4712c99283304b7b989179aae36b4590
                      employeeID: '1234567890'
                      employeeCheckID: '1095673922'
                      first_name: erlich
                      last_name: bachman
                      time: '2023-12-13T04:00:00Z'
                      metadata: {}
                      hourly:
                        hours: 8
                        wage: 20
                        custom_name: hourly
                      reimbursement:
                        amount: 8.5
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      shiftID:
                        type: string
                        example: 4712c99283304b7b989179aae36b4590
                      employeeID:
                        type: string
                        example: '1234567890'
                      employeeCheckID:
                        type: string
                        example: '1095673922'
                      first_name:
                        type: string
                        example: erlich
                      last_name:
                        type: string
                        example: bachman
                      time:
                        type: string
                        example: '2023-12-13T04:00:00Z'
                      metadata:
                        type: object
                        properties: {}
                      hourly:
                        type: object
                        properties:
                          hours:
                            type: integer
                            example: 8
                            default: 0
                          wage:
                            type: integer
                            example: 20
                            default: 0
                          custom_name:
                            type: string
                            example: hourly
                      reimbursement:
                        type: object
                        properties:
                          amount:
                            type: number
                            example: 8.5
                            default: 0
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No shiftID in the query of request
                        code: 26
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No shiftID in the query of request
                        code:
                          type: integer
                          example: 26
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````